Kyoto Tycoon

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
kyototycoon::URL Class Reference

URL accessor. More...

`#include <kthttp.h>`

List of all members.

## Public Member Functions
| URL ()
| Default constructor.
| URL (const std::string &expr)
| Constructor.
| URL (const URL &src)
| Copy constructor.
| ~URL ()
| Destructor.
void | set_expression (const std::string &expr)
| Set the string expression of the URL.
void | set_scheme (const std::string &scheme)
| Set the scheme.
void | set_host (const std::string &host)
| Set the host name.
void | set_port (int32_t port)
| Set the port number.
void | set_authority (const std::string &authority)
| Set the authority information.
void | set_path (const std::string &path)
| Set the path.
void | set_query (const std::string &query)
| Set the query string.
void | set_fragment (const std::string &fragment)
| Set the fragment string.
std::string | expression ()
| Get the string expression of the URL.
std::string | path_query ()
| Get the path and the query string for HTTP request.
std::string | scheme ()
| Get the scheme.
std::string | host ()
| Get the host name.
int32_t | port ()
| Get the port number.
std::string | authority ()
| Get the authority information.
std::string | path ()
| Get the path.
std::string | query ()
| Get the query string.
std::string | fragment ()
| Get the fragment string.
URL & | operator= (const URL &right)
| Assignment operator from the self type.

## Detailed Description

URL accessor.

## Constructor & Destructor Documentation

kyototycoon::URL::URL | ( |  | ) | `[explicit]`

Default constructor.

kyototycoon::URL::URL | ( | const std::string & | expr | ) | `[explicit]`

Constructor.

Parameters:

  expr | the string expression of the URL.

kyototycoon::URL::URL | ( | const URL & | src | ) | `[explicit]`

Copy constructor.

Parameters:

  src | the source object.

kyototycoon::URL::~URL | ( |  | ) |

Destructor.

## Member Function Documentation

void kyototycoon::URL::set_expression | ( | const std::string & | expr | ) |

Set the string expression of the URL.

void kyototycoon::URL::set_scheme | ( | const std::string & | scheme | ) |

Set the scheme.

void kyototycoon::URL::set_host | ( | const std::string & | host | ) |

Set the host name.

void kyototycoon::URL::set_port | ( | int32_t | port | ) |

Set the port number.

void kyototycoon::URL::set_authority | ( | const std::string & | authority | ) |

Set the authority information.

void kyototycoon::URL::set_path | ( | const std::string & | path | ) |

Set the path.

void kyototycoon::URL::set_query | ( | const std::string & | query | ) |

Set the query string.

void kyototycoon::URL::set_fragment | ( | const std::string & | fragment | ) |

Set the fragment string.

std::string kyototycoon::URL::expression | ( |  | ) |

Get the string expression of the URL.

Returns:
  the string expression of the URL.

std::string kyototycoon::URL::path_query | ( |  | ) |

Get the path and the query string for HTTP request.

Returns:
  the path and the query string for HTTP request.

std::string kyototycoon::URL::scheme | ( |  | ) |

Get the scheme.

Returns:
  the scheme.

std::string kyototycoon::URL::host | ( |  | ) |

Get the host name.

Returns:
  the host name.

int32_t kyototycoon::URL::port | ( |  | ) |

Get the port number.

Returns:
  the port number.

std::string kyototycoon::URL::authority | ( |  | ) |

Get the authority information.

Returns:
  the authority information.

std::string kyototycoon::URL::path | ( |  | ) |

Get the path.

Returns:
  the path.

std::string kyototycoon::URL::query | ( |  | ) |

Get the query string.

Returns:
  the query string.

std::string kyototycoon::URL::fragment | ( |  | ) |

Get the fragment string.

Returns:
  the fragment string.

URL& kyototycoon::URL::operator= | ( | const URL & | right | ) |

Assignment operator from the self type.

Parameters:

  right | the right operand.

Returns:
  the reference to itself.